%define name gtaskman
%define version 0.09
%define release 2mdk

Summary: gTaskman - A process viewing and signaling application for X on unix platform
Name:	%{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
URL: http://www.students.bucknell.edu/gmsaj/gtaskman/
#Patch0: gtaskman-opt.patch.bz2
Copyright: GPL
Group: Monitoring
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}

%description
gtaskman is a graphical process signaling app for Unix and Unix-like systems
running X-Windows. The GUI is based on GTK+ 1.2.x. In time, it may become a
full-featured process manipulation tool.

%prep
rm -rf $RPM_BUILD_ROOT

%setup

%build
%make

%install
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
install -m755 gtaskman $RPM_BUILD_ROOT/%{_bindir}

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/gtaskman"\
title="Gtaskman"\
longtitle="Graphical process signaling"\
needs="x11"\
section="Applications/Monitoring"
EOF
)
 
%post
%{update_menus}
 
%postun
%{clean_menus}  



%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc COPYING README TO-DO
%{_bindir}/*
%{_libdir}/menu/*

%changelog
* Wed Jan 10 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.09-2mdk
- rebuild

* Mon Sep 04 2000  Lenny Cartier <lenny@mandrakesoft.com> 0.09-1mdk
- v0.09

* Fri Jul 28 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.06-3mdk
- BM

* Thu Apr 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.06-2mdk
- fix group
- fix files section

* Tue Jul 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- First spec file for Mandrake distribution.

